Backward compatibility of Virus TI2: is ist possible to use my old PowerCore Virus patches

  • Dear Forum


    Besides the intensive Diskussion of Catalina compatibility i nevertheless intend to buy a virus TI2, desktop version. As i own two PoCoös within an old PowerMac 2010 the workflow in my new setup isn‘t that fun (i,m on a macbook pro in Mojave). Is anyone familiar with the compatibility of the sounds/patches of PoCo Patches to the the Virus TI2.

  • SeleN

    Changed the title of the thread from “Backward compatibility of Virus TI2: is ist possible to use my old PowerBook patches” to “Backward compatibility of Virus TI2: is ist possible to use my old PowerCore Virus patches”.
  • Mojave 10.14.6 (latest)


    Haven't worked in Logic for several months, so I can't tell.... but I think the current version should work. Current MainStage does work.

    Bass Player and Synthesist.
    Virus TI2 Darkstar | Virus TI2 Desktop | Moog Sub 37 | Blofeld | Machinedrum | Monomachine | Analog Four | Digitone | MPC Live | NI Maschine+
    Mac OS X 10.14.6 (Mojave) | Cubase Pro 11.0 | Ableton Live 9.6 | Logic 10.4 | MainStage 3.4 | NI Komplete 12 | RME Fireface UFX+